StreamRequest.StreamRequestSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.streaming

## Class StreamRequest.StreamRequestSerializer

- java.lang.Object
- - org.apache.cassandra.streaming.StreamRequest.StreamRequestSerializer

- All Implemented Interfaces:
    IVersionedSerializer<StreamRequest>
  Enclosing class:
    StreamRequest

      public static class StreamRequest.StreamRequestSerializer
      extends java.lang.Object
      implements IVersionedSerializer<StreamRequest>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamRequestSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StreamRequest` | `deserialize(DataInputPlus in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(StreamRequest request, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(StreamRequest request, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamRequestSerializer

          public StreamRequestSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(StreamRequest request,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<StreamRequest>`
      Parameters:
        `request` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public StreamRequest deserialize(DataInputPlus in,
                                           int version)
                                    throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<StreamRequest>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(StreamRequest request,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<StreamRequest>`
      Parameters:
        `request` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation